// main: ../../main.less

#boards {
    display: grid;
    grid-template-columns: auto 1fr;
    grid-column-gap: 5rem;
    grid-template-areas: "toolbar content";
    align-self: center;
    justify-items: center;

    .toolbar {
        grid-area: toolbar;

        width: 5rem;

        position: fixed;
        top: 5rem;
        left: 0;

        .button {
            display: grid;
            align-items: center;
            justify-items: center;
            padding: 1rem;

            font-size: 2rem;
            cursor: pointer;

            &.disabled {
                cursor: default;
                opacity: 0.5;

                &:hover {
                    background: none;
                }
            }

            &:hover {
                background: @lightGray;
            }
        }

        .spacer {
            height: 5rem;
        }
    }

    .search {
        grid-area: content;
        display: grid;
        grid-template-rows: 5rem auto 3rem;
        grid-row-gap: 2rem;

        padding: 2rem 0;

        .bar {
            align-self: center;
            justify-self: center;

            width: 100%;
        }

        .results {
            display: grid;
            grid-template-columns: 1fr;
            grid-gap: 1rem;
            min-height: calc(100vh - 40rem);
        
            @media screen {
                @media (min-width: 35rem) {
                    grid-template-columns: 1fr 1fr;
                }
        
                @media (min-width: 45rem) {
                    grid-template-columns: 1fr 1fr 1fr;
                }
            }

            &:before {
                display: none;
                content: "↑";

                align-self: end;
                justify-self: center;

                font-size: 3.6rem;
                color: @fullGray;
            }
            &:after {
                display: none;
                content: "Search existing boards to find something good!";
        
                align-self: top;
                justify-self: center;
        
                font-size: 1.8rem;
                color: @fullGray;
            }

            &:empty {
                grid-template-columns: 1fr;

                &:before,
                &:after {
                    display: grid;
                }
            }

            &.no-results {
                &:before {
                    display: none;
                }

                &:after {
                    content: "Sorry, no results found";

                    align-self: center;
                }
            }

            // @TODO: move this into its own file, this will perhaps be its own component
            .result {
                display: grid;
                grid-template-rows: auto 3rem;
                height: 18rem;
                width: 21rem;

                position: relative;
                justify-self: center;

                box-shadow: rgba(0, 0, 0, 0.16) 0rem 0.1rem 0.4rem;
                border: 0.1rem solid @mainBlue;
                border-radius: 1rem;
                overflow: hidden;

                // darken the shadow a bit to highlight the board under the mouse
                &:hover {
                    box-shadow: rgba(0, 0, 0, 0.5) 0rem 0.1rem 0.4rem;
                }

                .preview {
                    display: grid;
                }

                .details {
                    display: grid;
                    grid-template-columns: 1fr auto;
                    grid-column-gap: 1rem;
                    align-items: center;
                    padding: 0 1rem;

                    font-size: 1.6rem;
                    background: @mainBlue;

                    .title {
                        max-width: 17rem;

                        color: @white;
                        text-overflow: ellipsis;
                        overflow: hidden;
                        white-space: nowrap;
                    }

                    .description {
                        display: grid;

                        i {
                            font-size: 1.8rem;

                            color: @white;
                            cursor: pointer;
                        }

                        .extra {
                            display: grid;
                            grid-template-rows: auto 1fr;
                            grid-gap: 0.5rem;
                            height: 0;
                            width: 100%;

                            position: absolute;
                            top: 0;
                            left: 0;

                            font-size: 1.4rem;
                            line-height: 1.5rem;
                            color: @darkBlue;

                            -webkit-backdrop-filter: blur(0.2rem);
                            backdrop-filter: blur(0.2rem);
                            background: fade(@white, 65%);
                            overflow: hidden;
                            z-index: 1;

                            transition: height 0.2s ease-in-out;

                            .grid-size {
                                justify-self: right;
                                padding: 0.5rem 0.5rem 0;
                            }

                            .desc {
                                padding: 0 0.5rem 0.5rem;
                            }
                        }

                        i:hover ~ .extra {
                            height: 14.8rem;
                        }
                    }
                }
            }
        }
    }

    .view {
        grid-area: content;
        display: grid;

        .board {
            width: calc(100vw - 8rem);
        }
    }
}

@media print {
    html {
        display: grid;
        align-items: center;
        justify-items: center;

        background-color: #ffffff;

        body {
            display: grid;
            grid-template-rows: 1fr;
            align-items: center;
            justify-items: center;
            padding-top: 0;


            background-color: #ffffff;

            header {
                display: none !important;
            }

            #boards {
                grid-template-columns: 1fr;
                grid-template-areas: "content";
                height: 100%;
                width: 100%;
                background-color: #ffffff;

                .toolbar,
                .search {
                    display: none;
                }
            }

            site-footer {
                display: none;
            }

            #dialog,
            #loaderShroud {
                display: none;
            }
        }
    }
}